IP addresses

Update a project public IP PTR

PATCH
/cloud/project/{uuid}/public-ips/{ip}/

Sets the reverse DNS (PTR) hostname for a public IP on this project. Send an empty content string to restore the default hostname. Optionally update comment.

Authorization

bearerAuth
AuthorizationBearer <token>

API key created in the portal (Settings → API Keys). Send as Authorization: Bearer <key>.

In: header

Path Parameters

ip*string

Public IPv4 or IPv6 address.

uuid*string

Project UUID.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Set the PTR hostname and optional comment for a project public IP.

Response Body

application/json

curl -X PATCH "https://example.com/cloud/project/string/public-ips/string/" \  -H "Content-Type: application/json" \  -d '{}'
{  "ip": "string",  "content": "string",  "comment": "string",  "vmid": 0,  "status": "string",  "attachment": "string"}